aboutsummaryrefslogtreecommitdiffstats
path: root/meta-openstack/recipes-devtools/python/python-nova/nova-consoleauth
diff options
context:
space:
mode:
Diffstat (limited to 'meta-openstack/recipes-devtools/python/python-nova/nova-consoleauth')
-rw-r--r--meta-openstack/recipes-devtools/python/python-nova/nova-consoleauth75
1 files changed, 75 insertions, 0 deletions
diff --git a/meta-openstack/recipes-devtools/python/python-nova/nova-consoleauth b/meta-openstack/recipes-devtools/python/python-nova/nova-consoleauth
new file mode 100644
index 00000000..13ad2855
--- /dev/null
+++ b/meta-openstack/recipes-devtools/python/python-nova/nova-consoleauth
@@ -0,0 +1,75 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: nova-consoleauth
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Should-Start: libvirt-bin
+# Should-Stop: libvirt-bin
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: nova-consoleauth service
+# Description: Provides console services for the openstack
+# cloud computing system
+### END INIT INFO
+
+
+set -e
+
+DAEMON=/usr/bin/nova-consoleauth
+DAEMON_ARGS=""
+PIDFILE=/var/run/nova/nova-consoleauth.pid
+
+ENABLED=true
+
+if test -f /etc/default/nova-consoleauth; then
+ . /etc/default/nova-consoleauth
+fi
+
+mkdir -p /var/run/nova
+chown nova:root /var/run/nova/
+
+mkdir -p /var/lock/nova
+chown nova:root /var/lock/nova/
+
+#uid="$(getent passwd nova | cut -f3 -d:)"
+#gid="$(getent passwd nova | cut -f4 -d:)"
+
+. /lib/lsb/init-functions
+
+export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
+export TMPDIR=/var/lib/nova/tmp
+
+if ! [ -x ${DAEMON} ] ; then
+ exit 0
+fi
+
+case "$1" in
+ start)
+ test "$ENABLED" = "true" || exit 0
+ echo "Starting nova console" "nova-consoleauth"
+ start-stop-daemon --start -b -m --pidfile $PIDFILE --exec ${DAEMON} -- ${DAEMON_ARGS}
+ log_end_msg $?
+ ;;
+ stop)
+ test "$ENABLED" = "true" || exit 0
+ echo "Stopping nova console" "nova-consoleauth"
+ start-stop-daemon --stop --oknodo --pidfile ${PIDFILE}
+ log_end_msg $?
+ ;;
+ restart|force-reload)
+ test "$ENABLED" = "true" || exit 1
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ status)
+ test "$ENABLED" = "true" || exit 0
+ status_of_proc -p $PIDFILE $DAEMON nova-consoleauth && exit 0 || exit $?
+ ;;
+ *)
+ echo "Usage: /etc/init.d/nova-consoleauth {start|stop|restart|force-reload|status}"
+ exit 1
+ ;;
+esac
+
+exit 0